### Function

# Pango attr_gravity_hint_new

#### Declaration [src]

    PangoAttribute*
    pango_attr_gravity_hint_new (
      PangoGravityHint hint
    )

#### Description [src]

Create a new gravity hint attribute.

Available since: | 1.16

#### Parameters

`hint` | `PangoGravityHint`
| The gravity hint value.

#### Return value

Returns: | `PangoAttribute`
| The newly allocated `PangoAttribute`, which should be freed with `pango_attribute_destroy()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.